Subject: Re: [PATCH RFC] ipv6: fix route selection if kernel is not compiled with CONFIG_IPV6_ROUTER_PREF

From: Nicolas Dichtel <[email-masked]>
Date: Fri, 12 Jul 2013 21:01:17 +0200

Le 12/07/2013 18:19, Hannes Frederic Sowa a écrit :
> On Fri, Jul 12, 2013 at 02:04:45PM +0200, Nicolas Dichtel wrote:
>> It's possible to add a glue to check this counter when we play with these
>> flags, but it's ugly.
>>
>> Maybe the check against RTF_EXPIRES is fundamentally wrong. Checking
>> RTF_ADDRCONF|RTF_DYNAMIC should be enough, what do you think?
>
> Yes, this seems to be the best option now. I will audit the source if
> RTF_ADDRCONF and RTF_DYNAMIC are immutable after dst construction and
> if other errors could arise for that and would go with this solution then.
>
> What do you think about making ecmp routes explicit by adding RTF_ECMP
> flag?
Why not, but you will have to be careful on insertion and deletion. Next hop can 
be added one by one and deleted one by one.

>
>> In another hand, we can discuss about the initial assumption, that was
>> "only static routes are part of ECMP routes". I'm thinking of what are the
>> consequence if we accept to accept all routes, without checking any flags.
>
> I don't have a good feeling about that. But I may be wrong.
Same for me, but for now, I don't have any argument ;-) The above solution is 
probably the better way for now.

Nicolas